import { useEffect, useState } from 'react';
import { useAuth } from '../../hooks/useAuth';
import Spinner from '../Spinner/Spinner';
import './Logout.scss';

function Logout() {
  const [loading, setLoading] = useState(true);
  const { isAuth, removeAuth } = useAuth();

  useEffect(() => {
    // TODO: do logout api call
    if (isAuth) {
      removeAuth();
      setLoading(false);
    } else {
      setLoading(false);
    }
  }, []);

  return (
    <>
      {
        loading ?
        <div className='full-main'>
          <Spinner></Spinner>
        </div> :
        <div className='logout'>
          <div className='card logout-card'>
            <div className='logout-content'>
              <span>Sucessfully logged out!</span>
              <span>Use the Header to navigate!</span>
            </div>
          </div>
        </div>
      }
    </>
  );
}

export default Logout;
